Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_SPIPE_Acceptor Class Reference

Defines the format and interface for the listener side of the ACE_SPIPE_Stream. More...

`#include <SPIPE_Acceptor.h>`

Inheritance diagram for ACE_SPIPE_Acceptor

[legend]
Collaboration diagram for ACE_SPIPE_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_SPIPE_Addr | PEER_ADDR
typedef ACE_SPIPE_Stream | PEER_STREAM
## Public Methods
| ACE_SPIPE_Acceptor (void)
| Default constructor.
| ACE_SPIPE_Acceptor (const ACE_SPIPE_Addr &local_sap, int reuse_addr = 1, int perms = ACE_DEFAULT_FILE_PERMS)
| Initiate a passive-mode STREAM pipe listener.
int | open (const ACE_SPIPE_Addr &local_sap, int reuse_addr = 1, int perms = ACE_DEFAULT_FILE_PERMS)
| Initiate a passive-mode STREAM pipe listener.
int | close (void)
| Close down the passive-mode STREAM pipe listener.
int | remove (void)
| Remove the underlying mounted pipe from the file system.
int | accept (ACE_SPIPE_Stream &ipc_sap_spipe, ACE_SPIPE_Addr *remote_addr = 0, ACE_Time_Value *timeout = 0, int restart = 1, int reset_new_handle = 0)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Methods
int | create_new_instance (int perms = 0)
| Create a new instance of an SPIPE.

## Detailed Description

Defines the format and interface for the listener side of the ACE_SPIPE_Stream.

## Member Typedef Documentation

typedef ACE_SPIPE_Addr ACE_SPIPE_Acceptor::PEER_ADDR

typedef ACE_SPIPE_Stream ACE_SPIPE_Acceptor::PEER_STREAM

## Constructor & Destructor Documentation

ACE_SPIPE_Acceptor::ACE_SPIPE_Acceptor ( | void )`[inline]`

| Default constructor.

ACE_SPIPE_Acceptor::ACE_SPIPE_Acceptor ( | const ACE_SPIPE_Addr & local_sap,
| int reuse_addr = 1,
| int perms = ACE_DEFAULT_FILE_PERMS )

| Initiate a passive-mode STREAM pipe listener.

## Member Function Documentation

int ACE_SPIPE_Acceptor::accept ( | ACE_SPIPE_Stream & ipc_sap_spipe,
| ACE_SPIPE_Addr * remote_addr = 0,
| ACE_Time_Value * timeout = 0,
| int restart = 1,
| int reset_new_handle = 0 )

| Accept a new data transfer connection. A <timeout> of 0 means block forever, a <timeout> of {0, 0} means poll. <restart> == 1 means "restart if interrupted."

int ACE_SPIPE_Acceptor::close ( | void )

| Close down the passive-mode STREAM pipe listener. Reimplemented from ACE_SPIPE. Reimplemented in ACE_UPIPE_Acceptor.

int ACE_SPIPE_Acceptor::create_new_instance ( | int perms = 0 )`[private]`

| Create a new instance of an SPIPE.

void ACE_SPIPE_Acceptor::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_SPIPE. Reimplemented in ACE_UPIPE_Acceptor.

int ACE_SPIPE_Acceptor::open ( | const ACE_SPIPE_Addr & local_sap,
| int reuse_addr = 1,
| int perms = ACE_DEFAULT_FILE_PERMS )

| Initiate a passive-mode STREAM pipe listener.

int ACE_SPIPE_Acceptor::remove ( | void )

| Remove the underlying mounted pipe from the file system. Reimplemented from ACE_SPIPE. Reimplemented in ACE_UPIPE_Acceptor.

## Member Data Documentation

ACE_SPIPE_Acceptor::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_SPIPE. Reimplemented in ACE_UPIPE_Acceptor.

The documentation for this class was generated from the following files:

- SPIPE_Acceptor.h
- SPIPE_Acceptor.cpp